<?php
require_once("config/configDB.php"); 

// storing  request (ie, get/post) global array to a variable  
$requestData= $_REQUEST;

//cname, city, pincode, mobile, gst_type, ccode, open_balance
$columns = array( 
// datatable column index  => database column name
	0 => 'category', 
	7 => 'id'
);

$sql = "SELECT id FROM category_master";
$query=mysqli_query($conn, $sql) or die("categorygriddata.php: get category_master Data");
$totalData = mysqli_num_rows($query);
$totalFiltered = $totalData;  

$sql = "SELECT category,id ";
$sql.=" FROM category_master WHERE 1=1";
if( !empty($requestData['search']['value']) ) {   

	$sql.=" AND ( category LIKE '".$requestData['search']['value']."%' ";    
	$sql.=" OR id LIKE '".$requestData['search']['value']."%' )";
}
$query=mysqli_query($conn, $sql) or die("expensegriddata.php: get category_master Data");
$totalFiltered = mysqli_num_rows($query); 

$sql.=" ORDER BY ". $columns[$requestData['order'][0]['column']]."   ".$requestData['order'][0]['dir']."  LIMIT ".$requestData['start']." ,".$requestData['length']."   ";

$query=mysqli_query($conn, $sql) or die("expensegriddata.php: get category_master Data");
	
//cname, city, pincode, mobile, gst_type, ccode, open_balance
$data = array();
while( $row=mysqli_fetch_array($query) ) { 
	$nestedData=array(); 

	$nestedData[] = $row["category"];
    $nestedData[] = "<a href='categoryMasterEdit.php?id=".$row['id']."' id='expenseMaster_".$row['id']."' class='btn btn-primary'>Edit</a>";
	
	$data[] = $nestedData;
}

$json_data = array(
			"draw"            => intval( $requestData['draw'] ),   
			"recordsTotal"    => intval( $totalData ),  
			"recordsFiltered" => intval( $totalFiltered ), 
			"data"            => $data   
			);

echo json_encode($json_data);  

?>
